
function actualizaProceso(id_perfil, id_proceso, nombre_switch_estado, id_usuario, accion, urlcontrolador){

	let estado = $('input:checkbox[name='+nombre_switch_estado+id_proceso+']:checked').val();

	// alert("id_proceso="+id_proceso+"&estado="+estado+"&id_usuario="+id_usuario+"&accion="+accion+"&peticion=ajax");

	$.ajax({
        url: urlcontrolador,
        type: 'POST',
        data: "id_perfil="+id_perfil+"&id_proceso="+id_proceso+"&estado="+estado+"&id_usuario="+id_usuario+"&accion="+accion+"&peticion=ajax",
        success:function(respuesta){


        	console.log(respuesta);
            if (respuesta == 'Actualización exitosa') {
            	
	            Swal.fire({
		          icon: 'success',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })

        	}else if(respuesta != ""){

        		Swal.fire({
		          icon: 'info',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })	

        	}
        
        }
    });

}
